#include<iostream>
using namespace std;

int main(){
 long long n,maxV=2,oldMaxV,pro=1;
 cin>>n;
 long long a[n];
 for(int i=0 ; i<n ; i++){
    a[i]=i+1;
 }
 for(int i=2 ; maxV!=1 ; i++){
        pro*=i;
        maxV=1;
    for(int i=1 ; i<=n ; i++){
        if(a[i]%pro==0){
            if(maxV<a[i]){
                maxV=a[i];
            }
        }else{
           a[i]=0;
        }
    }
    if(maxV!=1){
        oldMaxV=maxV;
    }
 }
 cout<<oldMaxV+1;
 return 0;
}

